<div align="center">
<p>
    <a href="https://operatorict.cz">
        <img src="https://gitlab.com/operator-ict/golemio/code/modules/core/-/raw/development/.assets/oict_logo.png" alt="oict" width="100px" height="100px" />
    </a>
    <a href="https://golemio.cz">
        <img src="https://gitlab.com/operator-ict/golemio/code/modules/core/-/raw/development/.assets/golemio_logo.png" alt="golemio" width="100px" height="100px" />
    </a>
</p>

<h1>@golemio/flow</h1>

<p>
    <a href="https://gitlab.com/operator-ict/golemio/code/modules/flow/commits/master">
        <img src="https://gitlab.com/operator-ict/golemio/code/modules/flow/badges/master/pipeline.svg" alt="pipeline">
    </a>
    <a href="https://gitlab.com/operator-ict/golemio/code/modules/flow/commits/master">
        <img src="https://gitlab.com/operator-ict/golemio/code/modules/flow/badges/master/coverage.svg" alt="coverage">
    </a>
    <a href="./LICENSE">
        <img src="https://img.shields.io/npm/l/@golemio/flow" alt="license">
    </a>
</p>

<p>
    <a href="#installation">Installation</a> · <a href="./docs">Documentation</a> · <a href="https://operator-ict.gitlab.io/golemio/code/modules/flow">TypeDoc</a>
</p>
</div>

This module is intended for use with Golemio services. Refer [here](https://gitlab.com/operator-ict/golemio/code/modules/core/-/blob/development/README.md) for further information on usage, local development and more.

## Installation

The APIs may be unstable. Therefore, we recommend to install this module as an exact version.

```bash
# Latest version
npm install --save-exact @golemio/flow@latest

# Development version
npm install --save-exact @golemio/flow@dev
```

<!-- ## Description -->

## Method refreshCubes

It is possible to send a custom AMQP message to the worker for this method, indicating the desired time range for which you want to update the data in the database.

There is interval size limit. Please, use intervals of up to 12 hours.

The format of the message content should be as follows:

```json
{
    "from": "Sun Mar 21 2021 00:19:52 GMT+0100 (GMT+01:00)",
    "to": "Tue Mar 21 2021 12:19:52 GMT+0200 (GMT+02:00)"
}
```

or

```json
{
    "from": 1625731200000,
    "to": 1625731200000
}
```

or an array:

```json
[
    {
        "from": 1625695200000,
        "to": 1625696160000
    },
    {
        "from": 1625731200000,
        "to": 1625732160000
    }
]
```

Any `new Date(value)` parsable format is useable.
